summaryrefslogtreecommitdiff
path: root/tests/test-lib.sh
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 17:34:49 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commitdf0beae1eb1318869d51a064aec8fdd401877cbf (patch)
tree94f2224056162eadbb3d6b640e32f56d3f405cbf /tests/test-lib.sh
parentc840cd4334c086f5ce4d9144d9fac75643824a38 (diff)
downloadcoreutils-df0beae1eb1318869d51a064aec8fdd401877cbf.tar.xz
Adjust chgrp, chmod, chown, cp tests to use test-lib.sh.
* tests/check.mk: Also define abs_top_builddir.
Diffstat (limited to 'tests/test-lib.sh')
-rw-r--r--tests/test-lib.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/test-lib.sh b/tests/test-lib.sh
index 79d0ef2c7..10571a1e6 100644
--- a/tests/test-lib.sh
+++ b/tests/test-lib.sh
@@ -8,6 +8,12 @@ if test $? != 11; then
(exit 77); exit 77
fi
+framework_failure()
+{
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+}
+
test_dir_=$(pwd)
this_test_() { echo "./$0" | sed 's,.*/,,'; }